import request from '@/utils/new-request'

export function _getPageResult(data) {
  return request({
    url: '/CustomerRemittancet/GetPageResult',
    method: 'post',
    data
  })
}

export function _rejectionRemittance(data) {
  return request({
    url: '/CustomerRemittancet/RejectionRemittance',
    method: 'post',
    data
  })
}

export function _passRemittance(data) {
  return request({
    url: '/CustomerRemittancet/PassRemittance',
    method: 'post',
    data
  })
}

export function _inputRemittance(data) {
  return request({
    url: '/CustomerRemittancet/InputRemittance',
    method: 'post',
    data,
    timeout: 1000 * 60
  })
}

export function _addRemittance(data) {
  return request({
    url: '/CustomerRemittancet/AddRemittance',
    method: 'post',
    data
  })
}
